Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class DatasetVolumeList

    java.lang.Object
      com.ibm.jzos.DatasetVolumeList

    public class DatasetVolumeList

extends java.lang.Object

A object which maps the 265-byte area returned by the LOCATE macro.

The underlying buffer also includes the 44-byte DSN, which is returned by the LOCATE macro, since under some circumstances this is updated by the call (input is an alias or GDG name).

See Also:
  `ZFile.locateDSN(String, DatasetVolumeList)`

Field Summary
`static int` | `BUF_LEN`
`static int` | `MAX_ENTRIES`

Constructor Summary
`DatasetVolumeList()`

Method Summary
`byte[]` | `getBytes()` Answer the underlying byte array mapped by this object.
`int[]` | `getDeviceTypes()` Answer an array of ints, each containing the 4-byte device type of the corresponding volume entry.
`java.lang.String` | `getReturnedDSN()` Answer a String containing the DSN returned from the LOCATE macro.
`int` | `getTotalVolumesCount()` Answer the total number of volume entries found in the catalog.
`java.lang.String[]` | `getVolumes()` Answer a String array containing the volume serial numbers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUF_LEN

    public static final int BUF_LEN

See Also:
  Constant Field Values

### MAX_ENTRIES

    public static final int MAX_ENTRIES

See Also:
  Constant Field Values

Constructor Detail

### DatasetVolumeList

    public DatasetVolumeList()

Method Detail

### getBytes

    public byte[] getBytes()

  Answer the underlying byte array mapped by this object.

  Returns:
    byte[]

### getTotalVolumesCount

    public int getTotalVolumesCount()

  Answer the total number of volume entries found in the catalog. Note that only the first 20 volume entries are actually returned by LOCATE/CAMLIST in this object.

### getDeviceTypes

    public int[] getDeviceTypes()

  Answer an array of ints, each containing the 4-byte device type of the corresponding volume entry. Only the first 20 entries are returned, up to the size given by `getTotalVolumesCount()`.

  See Also:
    `getTotalVolumesCount()`

### getVolumes

    public java.lang.String[] getVolumes()

  Answer a String array containing the volume serial numbers. Only the first 20 volume names are returned, up to the size given by `getTotalVolumesCount()`.

  See Also:
    `getTotalVolumesCount()`

### getReturnedDSN

    public java.lang.String getReturnedDSN()

  Answer a String containing the DSN returned from the LOCATE macro. This is generally the same as the input DSN, but in some circumstances, such as lookups of alias names or relative GDG names, it will return a different DSN.

  Returns:
    String the DSN, with trailing blanks trimmed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD